Skip to navigation

Post Work Orders Search

View as Markdown

Authentication

AuthorizationBearer

OAuth 2.0 Client Credentials Flow. To obtain an access token:

  1. Request API credentials from HINDSITE support to receive your client_id and client_secret

  2. Make a POST request to obtain an access token:

POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
  1. The response will contain your access token:
{
  "access_token": "your_access_token_here",
  "token_type": "Bearer",
  "expires_in": 7200,
  "created_at": 1234567890
}
  1. Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here

Request

This endpoint expects an object.
searchstringOptional
completedbooleanOptional
location_idslist of stringsOptional
pageintegerOptional
disable_paginationbooleanOptional
work_order_idslist of stringsOptional
include_instruction_revisionsbooleanOptional
include_formsbooleanOptional
only_show_plannedbooleanOptional
only_show_in_progressbooleanOptional
archivedbooleanOptional
statuseslist of stringsOptional

Filter by work order status (canonical replacement for only_show_planned / only_show_in_progress)

include_reviewersbooleanOptional

Response

created Search
resultslist of objectsOptional
next_pageintegerOptional
Next page number, or null if no more pages